Puntuado con 5 de 5 estrellas

I have no prob with FF3.5.x why do you have to downgrade it?